v1.0
get
/ec-library-svc/rest/v1.0/libraryUses/{libraryId}
Retrieves library uses objects depending on query parameters.
Request
Path Parameters
-
libraryId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the library object.Example:
B1B8327AFAA6412287106192AB5984EF
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object LibraryUsesDtoV1.0
Title:
LibraryUsesDtoV1.0Information about how a library object is used in studies.
Nested Schema : LibraryUsesDtoV1.0
Type:
objectTitle:
LibraryUsesDtoV1.0Information about how a library object is used in studies.
Show Source
-
libraryId: string
Title:
Library IDUnique identifier (UUID, 32-character uppercase hexadecimal string) of the library object.Example:B1B8327AFAA6412287106192AB5984EF -
objectId: string
Title:
Object IDUnique identifier (UUID, 32-character uppercase hexadecimal string) of the underlying object (for example, forms or rules).Example:B1B8327AFAA6412287106192AB5984EF -
objectType: string
Title:
Object typeType of the underlying object.Example:FORM -
studyId: string
Title:
Study IDUnique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.Example:B1B8327AFAA6412287106192AB5984EF -
studyType: string
Title:
Study typeType of the study.Example:LIBRARY -
studyVersion: string
Title:
Study versionString representing the version of the study configuration or protocol. Helps track changes in form or study design.Example:1.0.0.1
Examples
500 Response
Error
Nested Schema : details
Type:
object